compiz crashed with signal 7 in g_file_get_uri()

Bug #728319 reported by Andrew Toogood on 2011-03-03
62
This bug affects 10 people
Affects Status Importance Assigned to Milestone
Nux
Fix Released
Undecided
Unassigned
Unity
Fix Released
High
Gord Allott
inkscape (Ubuntu)
Undecided
Unassigned
nux (Ubuntu)
Undecided
Unassigned
unity (Ubuntu)
High
Unassigned

Bug Description

compiz crashed with signal 7 in g_file_get_uri()

steps to reproduce:
1. start geany and pin it to the launcher.
2. close it.
3. create an empty file e.g. test.cpp
4. drag n drop it over the geany launcher.

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: libnux-0.9-0 0.9.30-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
Uname: Linux 2.6.38-5-generic x86_64
Architecture: amd64
CrashCounter: 1
Date: Thu Mar 3 09:25:23 2011
ExecutablePath: /usr/bin/compiz
LiveMediaBuild: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110228.1)
ProcCmdline: compiz
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
Signal: 7
SourcePackage: nux
StacktraceTop:
 g_file_get_uri () from /usr/lib/libgio-2.0.so.0
 ?? () from /usr/lib/libgio-2.0.so.0
 BamfLauncherIcon::OpenInstanceWithUris(std::list<char*, std::allocator<char*> >) () from /usr/lib/compiz/libunityshell.so
 BamfLauncherIcon::OnAcceptDrop(std::list<char*, std::allocator<char*> >) () from /usr/lib/compiz/libunityshell.so
 Launcher::ProcessDndDrop(int, int) () from /usr/lib/compiz/libunityshell.so
Title: compiz crashed with signal 7 in g_file_get_uri()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Related branches

Sorry about the initial comment but the crash took my keyboard out also so could olny copy/paste the title.

Crash happened when I dragged the unity.cpp file from the source to the geany icon on unity launcher.

The screen froze apart from mouse for 2 mins then I got a crash notification and lost decorations and keyboard.

Will try to reproduce now

StacktraceTop:
 g_file_get_uri (file=<value optimized out>) at /build/buildd/glib2.0-2.28.1/./gio/gfile.c:473
 g_desktop_app_info_launch (appinfo=0x28395c0, files=0x7f29d00bfc00, launch_context=0x0, error=0x7fff4e75a038) at /build/buildd/glib2.0-2.28.1/./gio/gdesktopappinfo.c:1229
 BamfLauncherIcon::OpenInstanceWithUris (this=0x2c0b4d0, uris=...) at /build/buildd/unity-3.6.0/src/BamfLauncherIcon.cpp:263
 BamfLauncherIcon::OnAcceptDrop (this=0x2c0b4d0, uris=...) at /build/buildd/unity-3.6.0/src/BamfLauncherIcon.cpp:939
 AcceptDrop (this=0x20871d0, x=<value optimized out>, y=<value optimized out>) at /build/buildd/unity-3.6.0/src/LauncherIcon.h:143

Changed in nux (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace

Yes reproducible each time.

Alex Launi (alexlauni) on 2011-03-07
Changed in nux:
status: New → Invalid
Changed in nux (Ubuntu):
status: New → Invalid
Changed in unity:
status: New → Confirmed
assignee: nobody → Jason Smith (jassmith)
Changed in unity (Ubuntu):
status: New → Confirmed
Changed in unity:
importance: Undecided → Medium
visibility: private → public
David Barth (dbarth) wrote :

@Andrew: could you re-test the lastest version of unity and confirm if the crash still occurs.

Also, can you clarify from where you do drag the file: nautilus, dash?
Thanks

Achim (ach1m) wrote :

So obviously I am not Andrew but this happens to me If I drag a file from Nautilus.
In my case it happens with an *.svg file, that I drag to the Inkscape launcher.

Regards
Achim

With Beta1 and all updates up to today it is still an issue although it
recovers the compiz crash far more eloquently now.

screen shot attached.

How to reproduce:
1) Install geany
2) start geany and pin to launcher
3) close geany
4) create a blank file on the desktop called test.cpp
5) drag file to geany launcher icon

What Happens:
Compiz restarts after lots of screen flicker.

cheers,

AT

On Wed, 2011-04-06 at 15:38 +0000, David Barth wrote:
> @Andrew: could you re-test the lastest version of unity and confirm if
> the crash still occurs.
>
> Also, can you clarify from where you do drag the file: nautilus, dash?
> Thanks
>

Interesting that Achim had the same issue with svg -> Inkscape so I thought it could be a wider issue, I tested the following with out any issues:

odt -> libre office
txt -> gedit
html -> chromium
html -> firefox
deb -> software centre
mp3 -> banshee

All successful so not sure why Geany and Inkscape have this issue but it is the only ones I could find so far.

Any other you want me to test?

Cheers,

AT

Bilal Akhtar (bilalakhtar) wrote :

After reading Andrew's comment above, I thought: Is the Inkscape desktop file flawed in some way making it difficult for Unity to match up the MIME Types?

Probably the list there is too long or isn't following the Desktop file syntax. Opening a task against Inkscape.

Omer Akram (om26er) on 2011-04-16
description: updated
Changed in unity (Ubuntu):
importance: Undecided → Medium

The same happens when dragging an image file on Shutter's launcher icon.

Changed in unity:
assignee: Jason Smith (jassmith) → Gord Allott (gordallott)
importance: Medium → High
Changed in inkscape (Ubuntu):
status: New → Invalid
Changed in unity (Ubuntu):
importance: Medium → High
Changed in unity:
milestone: none → 3.8.10
status: Confirmed → In Progress
Gord Allott (gordallott) on 2011-04-18
Changed in unity:
status: In Progress → Fix Committed
Changed in unity (Ubuntu):
status: Confirmed → Triaged
status: Triaged → Fix Committed
elPraga (elpraga) wrote :

Let's see when the fix gets released. I can reproduce this behavior everytime trying to drag video files to UMPlayer in the lancher

Didier Roche (didrocks) on 2011-04-19
Changed in nux:
status: Invalid → Fix Released
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.8.10-0ubuntu1

---------------
unity (3.8.10-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Application windows can sometimes fail to display and will mask regions
      of the screen (LP: #709461)
    - Launcher appears _under_ application windows (LP: #743834)
    - Unity Launcher Temporarily Appears Broken at Login (LP: #756951)
    - compiz crashed with signal 7 in g_file_get_uri() (LP: #728319)
    - Only with few windows (and one maximized) or Dodge active window - When
      re-focusing on maximised window Unity launcher does not hide
      (LP: #734681)
    - UIFe: Unity Dash button does not give adequate feedback (LP: #748676)
    - Focus problem with Thunderbird (LP: #753951)
    - compiz crashed with SIGSEGV in PrivateWindow::updateStartupId()
      (LP: #759363)
    - unity places don't start up on login. (LP: #761225)
    - unity crashes when emptying trash twice (LP: #761643)
    - compiz crashed with SIGSEGV in PlacesResultsController::Clear()
      (LP: #761211)
    - compiz crashed with SIGSEGV in PanelView::~PanelView() (LP: #761634)
    - compiz crashed with SIGSEGV in SimpleLauncherIcon::SetIconName()
      (LP: #763560)
    - compiz crashed with SIGSEGV in PlacesView::ConnectPlaces() (LP: #761942)
    - Intellihide stuck with in x=0 on the bfb (LP: #764643)
    - compiz crashed with SIGSEGV in PlacesView::OnResizeFrame() (LP: #763800)
    - unity crashed with GError in reset_unity_compiz_profile(): Failed to
      contact configuration server; the most common cause is a missing or
      misconfigured D-Bus session bus daemon. See
      http://projects.gnome.org/gconf/ for information. (Details - 1: Failed
      to get connection to session: Command line `dbus-launch
      --autolaunch=f0af37ac055f6f348acd417f00000008 --binary-syntax --close-
      stderr' exited with non-zero exit status 1: No protocol
      specified\nAutolaunch error: X11 initialization failed.\n) (LP: #753528)
    - Chromium fullscreen + Alt-TAB confuses the launcher (LP: #757434)
    - Cannot click on left-most indicator on panel if a non-indicator icon
      appears (LP: #761409)
    - vim.gnome window is invisible (LP: #719001)
    - Trash/ws switcher icon in unity resets to default icon theme on the
      event of a deletion or emptying the trash or after an upgrade
      (LP: #761289)
    - Incorrect keynav hilight/opened Quicklist without any request
      (LP: #764730)
    - indicator font does not update when changing font in Appearance
      Preferences. (LP: #759886)
    - In dash search filter drop box, black text is on a black background when
      item is selected (LP: #761201)
 -- Didier Roche <email address hidden> Tue, 19 Apr 2011 19:30:20 +0200

Changed in unity (Ubuntu):
status: Fix Committed → Fix Released

Confirmed Fixed, I have tested cpp drag to geany and all works well.

Great work guys!

Changed in nux (Ubuntu):
status: Invalid → Fix Released
importance: Medium → Undecided
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers